import mods.metatweaker.Factory;

var NewYearBlocks = mods.metatweaker.Factory.createCreativeTab("New Year Blocks", "minecraft:snow").register();

var Andesite = Factory.createBlock("Andesite", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("Andesite_1", "metatweaker:new_years_decorative_blocks/andesite/01")
    .addSubtype("Andesite_2", "metatweaker:new_years_decorative_blocks/andesite/02")
    .addSubtype("Andesite_3", "metatweaker:new_years_decorative_blocks/andesite/03")
    .addSubtype("Andesite_4", "metatweaker:new_years_decorative_blocks/andesite/04")
    .addSubtype("Andesite_5", "metatweaker:new_years_decorative_blocks/andesite/05")
    .register();

var Cobblestone = Factory.createBlock("Cobblestone", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("Cobblestone_1", "metatweaker:new_years_decorative_blocks/cobblestone/01")
    .addSubtype("Cobblestone_2", "metatweaker:new_years_decorative_blocks/cobblestone/02")
    .addSubtype("Cobblestone_3", "metatweaker:new_years_decorative_blocks/cobblestone/03")
    .addSubtype("Cobblestone_4", "metatweaker:new_years_decorative_blocks/cobblestone/04")
    .addSubtype("Cobblestone_5", "metatweaker:new_years_decorative_blocks/cobblestone/05")
    .register();

var CoveredCrackedStoneBrick = Factory.createBlock("CoveredCrackedStoneBrick", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("CoveredCrackedStoneBrick_1", "metatweaker:new_years_decorative_blocks/covered_cracked_stone_brick/01")
    .addSubtype("CoveredCrackedStoneBrick_2", "metatweaker:new_years_decorative_blocks/covered_cracked_stone_brick/02")
    .addSubtype("CoveredCrackedStoneBrick_3", "metatweaker:new_years_decorative_blocks/covered_cracked_stone_brick/03")
    .addSubtype("CoveredCrackedStoneBrick_4", "metatweaker:new_years_decorative_blocks/covered_cracked_stone_brick/04")
    .addSubtype("CoveredCrackedStoneBrick_5", "metatweaker:new_years_decorative_blocks/covered_cracked_stone_brick/05")
    .register();

var CoveredStoneBrick = Factory.createBlock("CoveredStoneBrick", <minecraft:stone>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("CoveredStoneBrick_1", "metatweaker:new_years_decorative_blocks/covered_stone_brick/01")
    .addSubtype("CoveredStoneBrick_2", "metatweaker:new_years_decorative_blocks/covered_stone_brick/02")
    .addSubtype("CoveredStoneBrick_3", "metatweaker:new_years_decorative_blocks/covered_stone_brick/03")
    .addSubtype("CoveredStoneBrick_4", "metatweaker:new_years_decorative_blocks/covered_stone_brick/04")
    .addSubtype("CoveredStoneBrick_5", "metatweaker:new_years_decorative_blocks/covered_stone_brick/05")
    .register();

var Gravel = Factory.createBlock("Gravel", <minecraft:gravel>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.gravel", "minecraft:dig.gravel", "minecraft:step.gravel")
    .addSubtype("Gravel_1", "metatweaker:new_years_decorative_blocks/gravel/01")
    .addSubtype("Gravel_2", "metatweaker:new_years_decorative_blocks/gravel/02")
    .addSubtype("Gravel_3", "metatweaker:new_years_decorative_blocks/gravel/03")
    .addSubtype("Gravel_4", "metatweaker:new_years_decorative_blocks/gravel/04")
    .addSubtype("Gravel_5", "metatweaker:new_years_decorative_blocks/gravel/05")
    .register();

var Ice = Factory.createBlock("Ice", <minecraft:ice>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .addSubtype("Ice_1", "metatweaker:new_years_decorative_blocks/ice/01")
    .addSubtype("Ice_2", "metatweaker:new_years_decorative_blocks/ice/02")
    .register();

var Leaves = Factory.createBlock("Leaves", <minecraft:leaves:1>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setLightLevel(1)
    .setSound(1, 1, "minecraft:dig.grass", "minecraft:dig.grass", "minecraft:step.grass")
    .addSubtype("Leaves_1", "metatweaker:new_years_decorative_blocks/leaves/01")
    .addSubtype("Leaves_2", "metatweaker:new_years_decorative_blocks/leaves/02")
    .addSubtype("Leaves_3", "metatweaker:new_years_decorative_blocks/leaves/03")
    .addSubtype("Leaves_4", "metatweaker:new_years_decorative_blocks/leaves/04")
    .addSubtype("Leaves_5", "metatweaker:new_years_decorative_blocks/leaves/05")
    .addSubtype("Leaves_6", "metatweaker:new_years_decorative_blocks/leaves/06")
    .addSubtype("Leaves_7", "metatweaker:new_years_decorative_blocks/leaves/07")
    .addSubtype("Leaves_8", "metatweaker:new_years_decorative_blocks/leaves/08")
    .addSubtype("Leaves_9", "metatweaker:new_years_decorative_blocks/leaves/09")
    .addSubtype("Leaves_10", "metatweaker:new_years_decorative_blocks/leaves/10")
    .addSubtype("Leaves_11", "metatweaker:new_years_decorative_blocks/leaves/11")
    .addSubtype("Leaves_12", "metatweaker:new_years_decorative_blocks/leaves/12")
    .addSubtype("Leaves_13", "metatweaker:new_years_decorative_blocks/leaves/13")
    .addSubtype("Leaves_14", "metatweaker:new_years_decorative_blocks/leaves/14")
    .addSubtype("Leaves_15", "metatweaker:new_years_decorative_blocks/leaves/15")
    .addSubtype("Leaves_16", "metatweaker:new_years_decorative_blocks/leaves/16")
    .register();

var Leaves2 = Factory.createBlock("Leaves2", <minecraft:leaves:1>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setLightLevel(1)
    .setSound(1, 1, "minecraft:dig.grass", "minecraft:dig.grass", "minecraft:step.grass")
    .addSubtype("Leaves_17", "metatweaker:new_years_decorative_blocks/leaves/17")
    .addSubtype("Leaves_18", "metatweaker:new_years_decorative_blocks/leaves/18")
    .addSubtype("Leaves_19", "metatweaker:new_years_decorative_blocks/leaves/19")
    .addSubtype("Leaves_20", "metatweaker:new_years_decorative_blocks/leaves/20")
    .addSubtype("Leaves_21", "metatweaker:new_years_decorative_blocks/leaves/21")
    .addSubtype("Leaves_22", "metatweaker:new_years_decorative_blocks/leaves/22")
    .addSubtype("Leaves_23", "metatweaker:new_years_decorative_blocks/leaves/23")
    .addSubtype("Leaves_24", "metatweaker:new_years_decorative_blocks/leaves/24")
    .addSubtype("Leaves_25", "metatweaker:new_years_decorative_blocks/leaves/25")
    .addSubtype("Leaves_26", "metatweaker:new_years_decorative_blocks/leaves/26")
    .addSubtype("Leaves_27", "metatweaker:new_years_decorative_blocks/leaves/27")
    .addSubtype("Leaves_28", "metatweaker:new_years_decorative_blocks/leaves/28")
    .addSubtype("Leaves_29", "metatweaker:new_years_decorative_blocks/leaves/29")
    .addSubtype("Leaves_30", "metatweaker:new_years_decorative_blocks/leaves/30")
    .addSubtype("Leaves_31", "metatweaker:new_years_decorative_blocks/leaves/31")
    .addSubtype("Leaves_32", "metatweaker:new_years_decorative_blocks/leaves/32")
    .register();

var Leaves3 = Factory.createBlock("Leaves3", <minecraft:leaves:1>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setLightLevel(1)
    .setSound(1, 1, "minecraft:dig.grass", "minecraft:dig.grass", "minecraft:step.grass")
    .addSubtype("Leaves_33", "metatweaker:new_years_decorative_blocks/leaves/33")
    .addSubtype("Leaves_34", "metatweaker:new_years_decorative_blocks/leaves/34")
    .addSubtype("Leaves_35", "metatweaker:new_years_decorative_blocks/leaves/35")
    .addSubtype("Leaves_36", "metatweaker:new_years_decorative_blocks/leaves/36")
    .addSubtype("Leaves_37", "metatweaker:new_years_decorative_blocks/leaves/37")
    .addSubtype("Leaves_38", "metatweaker:new_years_decorative_blocks/leaves/38")
    .addSubtype("Leaves_39", "metatweaker:new_years_decorative_blocks/leaves/39")
    .addSubtype("Leaves_40", "metatweaker:new_years_decorative_blocks/leaves/40")
    .addSubtype("Leaves_41", "metatweaker:new_years_decorative_blocks/leaves/41")
    .addSubtype("Leaves_42", "metatweaker:new_years_decorative_blocks/leaves/42")
    .addSubtype("Leaves_44", "metatweaker:new_years_decorative_blocks/leaves/44")
    .register();

var Leaves4 = Factory.createBlock("Leaves4", <minecraft:leaves:1>)
    .setHasSubtypes(true)
    .setCreativeTab("New Year Blocks")
    .setHardness(4)
    .setResistance(6)
    .setHarvest("pickaxe")
    .setHarvestLevel(2)
    .setMaxStackSize(64)
    .setSound(1, 1, "minecraft:dig.grass", "minecraft:dig.grass", "minecraft:step.grass")
    .addSubtype("Leaves_43", "metatweaker:new_years_decorative_blocks/leaves/43")
    .register();


